// Logging.cpp: implementation of the Logging class.
//
//////////////////////////////////////////////////////////////////////

#include "Logging.h"


///////////////////////////////////////////
//variables
char	*ErrorFile = ".\\LogFiles\\errorfile.txt";
char	*InfoFile = ".\\LogFiles\\infofile.txt";
bool	logging_disabled = true;


void LogError(char* msg, ...)
{
	if(logging_disabled == true)
		return;

	char buffer[512];
    va_list args;
    va_start(args, msg);
    _vsntprintf(buffer, 512, msg, args);
    va_end(args);

	FILE *file = fopen(ErrorFile,"a");

	fprintf(file,"%s\n", buffer);

	fclose(file);

}

void LogInfo(char* msg, ...)
{
	if(logging_disabled == true)
		return;

	char buffer[512];
    va_list args;
    va_start(args, msg);
    _vsntprintf(buffer, 512, msg, args);
    va_end(args);

	FILE *file = fopen(InfoFile,"a");

	fprintf(file,"%s\n", buffer);

	fclose(file);

}
