#ifndef _HASBEENDEFINED
#define _HASBEENDEFINED

//Functions
	#define SAFE_RELEASE(x)	if (x) { (x)->Release(); (x) = NULL; }
	#define SAFE_DELETE(p)       { if(p) { delete (p);     (p)=NULL; } }
	#define SAFE_DELETE_ARRAY(p) { if(p) { delete[] (p);   (p)=NULL; } }

	#define KEYDOWN(code) ((GetAsyncKeyState(code) & 0x8000) ? 1 : 0)

	#define EIMATH_PI ( ( double ) 3.1415926535897932385 )
	#define EIMATH_E  ( ( double ) 2.7182818284590452354 )

	#define EIMATH_PI_2  1.57079f
	#define EIMATH_PI_2X 6.28319f

	#define EIMATH_RAD_PER_DEG .017453f
	#define EIMATH_DEG_PER_RAD (6.28319f / 360.0f)

	#define EIMATH_DEGTORAD(d) (d * 0.0174532925199)
	#define EIMATH_RADTODEG(d) (d * 57.2957795132)

	#define COLOR_RGBA(r,g,b,a) ((b) + ((g) << 8) + ((r) << 16) + ((a) << 24))


#endif


