// InputEvents.h: interface for the CInputEvents class.
//
//////////////////////////////////////////////////////////////////////
#if !defined(AFX_INPUTEVENTS_H)
#define AFX_INPUTEVENTS_H

#include "Dinput.h"
#include "Camera.h"
#include "logging.h"
#include "defines.h"

class CInputEvents 
{
public:
	CInputEvents();
	virtual ~CInputEvents();

	bool InitializeInput(HINSTANCE hInstance, HWND hwnd, CCamera *myCamera);

	void CheckKeyboardInput(LPDIRECT3DDEVICE8 device, long elapsed_ms);
	
	void CheckMouseInput(LPDIRECT3DDEVICE8 device);

private:

	LPDIRECTINPUT8			dInput;
	LPDIRECTINPUTDEVICE8	keyboard;
	LPDIRECTINPUTDEVICE8	mouse;

	int sensitivity;  //lower number = more sensitivity
	int keyboardspeed;

	CCamera *tempCamera;

	//Stuff here



};

#endif