// MatrixCalls.h: interface for the CMatrixCalls class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_MATRIXCALLS_H)
#define AFX_MATRIXCALLS_H


#include <d3d8.h>
#include <d3dx8.h>
#include "defines.h"


D3DXMATRIX GetIdentityMatrix();
D3DXMATRIX RotateYawPitchRoll(D3DXMATRIX m, float x, float y, float z);
D3DXMATRIX Scale(D3DXMATRIX m, const float x, const float y, const float z);


#endif 
